Bug 29128 - Trailing whitespace in Browse shelf link on opac-detail.tt
Summary: Trailing whitespace in Browse shelf link on opac-detail.tt
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on: 26421
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-27 20:15 UTC by Lucas Gass
Modified: 2021-10-08 14:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05


Attachments
Bug 29128: Remove whitespace in browse shelf link (1.93 KB, patch)
2021-09-27 20:18 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29128: Remove whitespace in browse shelf link (1.98 KB, patch)
2021-09-28 13:26 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
Bug 29128 : Remove the other whitespace in browse shelf link (1.66 KB, patch)
2021-09-28 13:26 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
Bug 29128: Remove whitespace in browse shelf link (1.98 KB, patch)
2021-09-28 17:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 29128 : Remove the other whitespace in browse shelf link (1.72 KB, patch)
2021-09-28 17:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 29128: Remove whitespace in browse shelf link (2.04 KB, patch)
2021-09-30 10:29 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29128: Remove the other whitespace in browse shelf link (1.78 KB, patch)
2021-09-30 10:29 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29128: Remove the other whitespace in browse shelf link (1.79 KB, patch)
2021-10-04 13:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29128: Remove the other whitespace in browse shelf link (1.82 KB, patch)
2021-10-04 14:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2021-09-27 20:15:07 UTC
On item-detail:

(Browse shelf ) should be (Browse shelf)
Comment 1 Lucas Gass 2021-09-27 20:18:52 UTC
Created attachment 125378 [details] [review]
Bug 29128: Remove whitespace in browse shelf link

To test:
-Turn on OPACShelfBrowser and make sure you have some itemcallnumbers
-Go to detail page and see the link: (Browse shelf )
-Apply patch and look at the link again, it should be: (Browse shelf)
Comment 2 Jérémy Breuillard 2021-09-28 13:26:24 UTC
Created attachment 125407 [details] [review]
Bug 29128: Remove whitespace in browse shelf link

To test:
-Turn on OPACShelfBrowser and make sure you have some itemcallnumbers
-Go to detail page and see the link: (Browse shelf )
-Apply patch and look at the link again, it should be: (Browse shelf)

Signed-off-by: Jeremy <jeremy.breuillard@biblibre.com>
Comment 3 Jérémy Breuillard 2021-09-28 13:26:31 UTC
Created attachment 125408 [details] [review]
Bug 29128 : Remove the other whitespace in browse shelf link
Comment 4 Jérémy Breuillard 2021-09-28 13:30:16 UTC
Another occurence found and fixed
Comment 5 David Nind 2021-09-28 17:11:34 UTC
Created attachment 125428 [details] [review]
Bug 29128: Remove whitespace in browse shelf link

To test:
-Turn on OPACShelfBrowser and make sure you have some itemcallnumbers
-Go to detail page and see the link: (Browse shelf )
-Apply patch and look at the link again, it should be: (Browse shelf)

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 David Nind 2021-09-28 17:11:38 UTC
Created attachment 125429 [details] [review]
Bug 29128 : Remove the other whitespace in browse shelf link

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 David Nind 2021-09-28 17:15:20 UTC
(In reply to jeremy from comment #4)
> Another occurence found and fixed

Thanks Jeremy for fixing this!
Comment 8 Martin Renvoize 2021-09-30 10:29:05 UTC
Created attachment 125483 [details] [review]
Bug 29128: Remove whitespace in browse shelf link

To test:
-Turn on OPACShelfBrowser and make sure you have some itemcallnumbers
-Go to detail page and see the link: (Browse shelf )
-Apply patch and look at the link again, it should be: (Browse shelf)

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2021-09-30 10:29:08 UTC
Created attachment 125484 [details] [review]
Bug 29128: Remove the other whitespace in browse shelf link

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2021-09-30 10:29:30 UTC
Nice string fix.. PQA
Comment 11 Jonathan Druart 2021-10-04 13:53:42 UTC
Created attachment 125693 [details] [review]
Bug 29128: Remove the other whitespace in browse shelf link

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 12 Jonathan Druart 2021-10-04 13:54:31 UTC
Adjusted patch's author, as agreed with Jeremy.
Comment 13 Jonathan Druart 2021-10-04 14:00:40 UTC
Created attachment 125694 [details] [review]
Bug 29128: Remove the other whitespace in browse shelf link

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 14 Jonathan Druart 2021-10-06 08:38:39 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 15 Jonathan Druart 2021-10-06 08:40:06 UTC
Congratulations for your first patch pushed, Jérémy!
Comment 16 Jérémy Breuillard 2021-10-08 12:59:47 UTC
(In reply to Jonathan Druart from comment #15)
> Congratulations for your first patch pushed, Jérémy!

Thanks ! :)
Comment 17 Kyle M Hall 2021-10-08 14:30:29 UTC
Pushed to 21.05.x for 21.05.05